Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984429 - strongswan should have %global hardened_build 1
Summary: strongswan should have %global hardened_build 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strongswan
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-15 08:30 UTC by Jamie Nguyen
Modified: 2013-08-04 00:12 UTC (History)
2 users (show)

Fixed In Version: strongswan-5.0.4-5.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-03 19:13:36 UTC


Attachments (Terms of Use)

Description Jamie Nguyen 2013-07-15 08:30:19 UTC
strongswan meets the criteria for enabling PIE compiler flags, which is a MUST according to guidelines.

Taken from https://fedoraproject.org/wiki/Packaging:Guidelines#PIE

If your package meets any of the following criteria you MUST enable the PIE compiler flags:

    Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle. 

    Your package has suid binaries, or binaries with capabilities. 

    Your package runs as root. 



Package versions:

strongswan-5.0.4-3.fc20

Also affects all other branches.

Comment 1 Fedora Update System 2013-07-16 12:19:24 UTC
strongswan-5.0.4-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/strongswan-5.0.4-4.fc19

Comment 2 Fedora Update System 2013-07-16 12:22:28 UTC
strongswan-5.0.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/strongswan-5.0.4-4.fc18

Comment 3 Fedora Update System 2013-07-16 12:26:21 UTC
strongswan-5.0.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/strongswan-5.0.4-4.el6

Comment 4 Fedora Update System 2013-07-16 19:05:34 UTC
Package strongswan-5.0.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.0.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10866/strongswan-5.0.4-4.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-07-25 07:08:39 UTC
strongswan-5.0.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/strongswan-5.0.4-5.fc19

Comment 6 Fedora Update System 2013-07-25 07:09:45 UTC
strongswan-5.0.4-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/strongswan-5.0.4-5.fc18

Comment 7 Fedora Update System 2013-08-03 19:13:36 UTC
strongswan-5.0.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-08-04 00:10:32 UTC
strongswan-5.0.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-08-04 00:12:12 UTC
strongswan-5.0.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.